package com.bankaudit.dto.process;

import java.util.Date;
import java.util.Map;

public class AuditPlanDto {
	
	private Integer legalEntityCode;
	
	private String auditTypeCode;
	
	private String planId;
	
	private String auditId;
	
	private String unitId;
	
	private String parentUnitId;
	
	private String auditStatus;
	
	private String planStartDate;
	
	private String planEndDate;
	
	private String planEndDateXls;
	
	private Date planEndDateD;
	
	private Date planStartDateD;
	
	private String planMaker;
	
	private String auditTypeSlNo;
	
	private String scheduleStartDate;
	
	private String scheduleEndDate;
	
	private String teamLead;
	
	private String teamMember1;
	
	private String teamMember2;

	private String teamMember3;
	
	private String planYear;
	
	private Map<String, String> auditTypeSlNoMap;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getPlanId() {
		return planId;
	}

	public void setPlanId(String planId) {
		this.planId = planId;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public String getUnitId() {
		return unitId;
	}

	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}

	public String getParentUnitId() {
		return parentUnitId;
	}

	public void setParentUnitId(String parentUnitId) {
		this.parentUnitId = parentUnitId;
	}

	public String getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(String auditStatus) {
		this.auditStatus = auditStatus;
	}

	public String getPlanStartDate() {
		return planStartDate;
	}

	public void setPlanStartDate(String planStartDate) {
		this.planStartDate = planStartDate;
	}

	public String getPlanEndDate() {
		return planEndDate;
	}

	public void setPlanEndDate(String planEndDate) {
		this.planEndDate = planEndDate;
	}

	public Date getPlanStartDateD() {
		return planStartDateD;
	}

	public void setPlanStartDateD(Date planStartDateD) {
		this.planStartDateD = planStartDateD;
	}

	public String getPlanEndDateXls() {
		return planEndDateXls;
	}

	public void setPlanEndDateXls(String planEndDateXls) {
		this.planEndDateXls = planEndDateXls;
	}

	public Date getPlanEndDateD() {
		return planEndDateD;
	}

	public void setPlanEndDateD(Date planEndDateD) {
		this.planEndDateD = planEndDateD;
	}

	public String getPlanMaker() {
		return planMaker;
	}

	public void setPlanMaker(String planMaker) {
		this.planMaker = planMaker;
	}

	public String getAuditTypeSlNo() {
		return auditTypeSlNo;
	}

	public void setAuditTypeSlNo(String auditTypeSlNo) {
		this.auditTypeSlNo = auditTypeSlNo;
	}	

	public String getScheduleStartDate() {
		return scheduleStartDate;
	}

	public void setScheduleStartDate(String scheduleStartDate) {
		this.scheduleStartDate = scheduleStartDate;
	}

	public String getScheduleEndDate() {
		return scheduleEndDate;
	}

	public void setScheduleEndDate(String scheduleEndDate) {
		this.scheduleEndDate = scheduleEndDate;
	}

	public String getTeamLead() {
		return teamLead;
	}

	public void setTeamLead(String teamLead) {
		this.teamLead = teamLead;
	}

	public String getTeamMember1() {
		return teamMember1;
	}

	public void setTeamMember1(String teamMember1) {
		this.teamMember1 = teamMember1;
	}

	public String getTeamMember2() {
		return teamMember2;
	}

	public void setTeamMember2(String teamMember2) {
		this.teamMember2 = teamMember2;
	}

	public String getTeamMember3() {
		return teamMember3;
	}

	public void setTeamMember3(String teamMember3) {
		this.teamMember3 = teamMember3;
	}

	public String getPlanYear() {
		return planYear;
	}

	public void setPlanYear(String planYear) {
		this.planYear = planYear;
	}

	public Map<String, String> getAuditTypeSlNoMap() {
		return auditTypeSlNoMap;
	}
	
	public void setAuditTypeSlNoMap(Map<String, String> auditTypeSlNoMap) {
		this.auditTypeSlNoMap = auditTypeSlNoMap;
	}
	
			
}
